--[[####################################################################################
# File        :  /hook/lua/ui/game/tooltip.lua
# Author(s)   :  Tool Tips
# Summary     :  Rollover unit view control
#*****************************************************************************
# Modified by :  Manimal -> Fixed up test that causes "Game object has been destroyed"
# Rebuilt Date:  27 février 2010
# -----------------------------
# Revis.   by :  Manimal
# Revis. Date :  27 février 2010
# -----------------------------
# Copyright © 2005 Gas Powered Games, Inc.  All rights reserved.
####################################################################################]]--

# ORIGINAL : 331 LIGNES

--local mouseoverDisplay = false

do  --# PARTIAL HOOK

function SetTooltipText(control, id)
    --if not mouseoverDisplay or control != mouseoverDisplay:GetParent() then return end
    if  not mouseoverDisplay  or  mouseoverDisplay == nil  or control != mouseoverDisplay:GetParent() then return end
    if mouseoverDisplay.title then
        mouseoverDisplay.title:SetText(id)
    else
        mouseoverDisplay:SetText(id)
    end
end

end